#include "partition.h"
#include <bits/stdc++.h>
#include <vector>
#include <utility>

using namespace  std;

const int maxn=1e5+10;
const int mod=1e9+7;


std::vector<int> solve(std::vector<int> A)
{
    int n=A.size();
    vector<int>ans;
    int i=0;
    int j=n-1;
    while (i<j) {
        ans.push_back(A[i]);
        ans.push_back(A[j]);
        i++;
        j--;
    }
    if (i==j) {
        ans.push_back(A[i]);
    }
    return ans;

}
